From f5095ba58c62fd97dbdc5b64ce5edb8fdaabedb2 Mon Sep 17 00:00:00 2001
From: Igor Mammedov <imammedo@redhat.com>
Date: Fri, 21 Apr 2017 05:51:22 +0200
Subject: re-enable DMA for 7.3 machine type

RH-Author: Igor Mammedov <imammedo@redhat.com>
Message-id: <1492513124-179039-1-git-send-email-imammedo@redhat.com>
Patchwork-id: 74800
O-Subject: [RHEL7.4 qemu-kvm-rhev PATCH] re-enable DMA for 7.3 machine type
Bugzilla: 1441394
RH-Acked-by: Eduardo Habkost <ehabkost@redhat.com>
RH-Acked-by: Dr. David Alan Gilbert <dgilbert@redhat.com>
RH-Acked-by: Miroslav Rezanina <mrezanin@redhat.com>

FWCFG property 'dma_enabled' is set to 'true' for released
7.3 machine types, however during rebase for 7.4 it got flipped
to 'false' as it happend upstream (taken from 2.6 machine type),
which regresses migration.
Fix it by reverting back to default value (true) for 7.3
machine types.

Signed-off-by: Igor Mammedov <imammedo@redhat.com>
Signed-off-by: Miroslav Rezanina <mrezanin@redhat.com>
---
 include/hw/i386/pc.h | 5 -----
 1 file changed, 5 deletions(-)

diff --git a/include/hw/i386/pc.h b/include/hw/i386/pc.h
index b69e53c..7cd1719 100644
--- a/include/hw/i386/pc.h
+++ b/include/hw/i386/pc.h
@@ -1034,11 +1034,6 @@ extern void igd_passthrough_isa_bridge_create(PCIBus *bus, uint16_t gpu_dev_id);
             .value    = "off",\
         },\
         { /* PC_RHEL7_3_COMPAT from PC_COMPAT_2_6 */ \
-            .driver   = "fw_cfg_io",\
-            .property = "dma_enabled",\
-            .value    = "off",\
-        },\
-        { /* PC_RHEL7_3_COMPAT from PC_COMPAT_2_6 */ \
             .driver   = TYPE_X86_CPU,\
             .property = "cpuid-0xb",\
             .value    = "off",\
-- 
1.8.3.1

